<!doctype html>
<html lang="<?php echo e(config('app.locale')); ?>">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <title>Laravel</title>

        <!-- Fonts -->
        <link href="https://fonts.googleapis.com/css?family=Raleway:100,600" rel="stylesheet" type="text/css">
        <!-- styles -->
        <link href="<?php echo e(URL::asset('css/custom.css')); ?>" rel="stylesheet" type="text/css">
    </head>
    <body>
        <a href="<?php echo e(URL::action('PostController@index')); ?>">Retour à la liste</a>
        <h1><?php echo e($post->title); ?></h1>
        <p><?php echo e($post->content); ?></p>
        <i><?php echo e($post->user->name); ?> <?php echo e($post->user->firstname); ?></i>
        <p>
            <a href="<?php echo e(URL::action('PostController@edit', $post->id)); ?>" class="button">Editer</a>
            <?php echo e(Form::model(
                        $post, [ 
                                'url' => URL::action('PostController@delete', $post ),
                                'method' => 'DELETE'
                               ]
                        )); ?>

            <?php echo e(Form::submit('Delete', ['class' => 'button'])); ?>

        <?php echo e(Form::close()); ?>

        </p>
    </body>
</html>